import subprocess
import os

class AudioPlayer():
    def __init__(self):
        self.audio_file = ""
        self.is_playing = False

    def set_audio_file(self, audio_file):
        if os.path.exists(audio_file):
            self.audio_file = audio_file

    def start_audio(self):
        if self.audio_file == "" or self.is_playing:
            return
        cmd = "mplayer -loop 0 " + self.audio_file
        self.player = subprocess.Popen(cmd.split(), shell=False,
                                       stdin=subprocess.PIPE,
                                       stdout=subprocess.DEVNULL,
                                       stderr=subprocess.DEVNULL)
        self.is_playing = True

    def stop_audio(self):
        if self.is_playing:
            self.player.kill()
            self.is_playing = False
