import os

def export_do1():
    with open("/sys/class/gpio/export", "w") as f:
        print('30', file=f)

def unexport_do1():
    with open("/sys/class/gpio/unexport", "w") as f:
        print('30', file=f)

def turn_on_do1():
    with open("/sys/class/gpio/gpio30/direction", "w") as f:
        print("high", file=f)

def turn_off_do1():
    with open("/sys/class/gpio/gpio30/direction", "w") as f:
        print("in", file=f)

if __name__ == '__main__':
    if not os.path.exists("/sys/class/gpio/gpio30"):
        export_do1()
        turn_on_do1()
        print("export and turn on DO1")
    else:
        turn_off_do1()
        unexport_do1()
        print("turn off and unexport DO1")
